
import * as chai from 'chai';
import {chaiDom} from "../../../util/chai-dom.mjs";
import {initJSDOM} from "../../../util/jsdom.mjs";

let expect = chai.expect;
chai.use(chaiDom);



let Message;

describe('Message', function () {

    before(function (done) {
        initJSDOM().then(() => {
            
            import("../../../../source/components/notify/message.mjs").then((m) => {
                Message = m['Message'];
                done()
            }).catch(e => done(e))
        });
    })

    describe('document.createElement', function () {
        it('should instance of Message', function () {
            
            const control = document.createElement('monster-notify-message');
            
            
                expect(control).is.instanceof(Message);
            
            
        });

    });


})
